package jxl.format;

public interface CellFormat {
  Format getFormat();
  
  Font getFont();
  
  boolean getWrap();
  
  Alignment getAlignment();
  
  VerticalAlignment getVerticalAlignment();
  
  Orientation getOrientation();
  
  BorderLineStyle getBorder(Border paramBorder);
  
  BorderLineStyle getBorderLine(Border paramBorder);
  
  Colour getBorderColour(Border paramBorder);
  
  boolean hasBorders();
  
  Colour getBackgroundColour();
  
  Pattern getPattern();
  
  int getIndentation();
  
  boolean isShrinkToFit();
  
  boolean isLocked();
}
